<?php
// https://stackify.com/how-to-log-to-console-in-php/

function mp_log($output) {
	$type = gettype($output);
	if ($type == 'object')
		$output = serialize($output);
	$time = date('H:i');
	$file = '/var/www/html/wp-debug.log';
	file_put_contents($file, $time . "  " . $output . "\n", FILE_APPEND);
}

function mp_console_log($output) {
	$js_code = 'console.log(' . json_encode($output, JSON_HEX_TAG) . ');';
	$js_code = '<script>' . $js_code . '</script>';
	echo $js_code;
}

//	function mp_console_log($output, $with_script_tags = true) {
//		$js_code = 'console.log(' . json_encode($output, JSON_HEX_TAG) . 
//				');';
//		if ($with_script_tags) {
//			$js_code = '<script>' . $js_code . '</script>';
//		}
//		echo $js_code;
//	}

?>
